{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":494,"path":"api-reference/rest-apis/cmdb-instance-api.md","title":"CMDB Instance API","bundle":null,"doc_type":null,"release":"australia","body":"\n# CMDB Instance API\n\nThe CMDB Instance API provides endpoints to create, read, update, and delete operations on existing Configuration Management Database \\(CMDB\\) tables. You can only insert, update, or delete one record at a time.\n\nThis API requires the user have the ITIL role.\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## CMDB Instance - DELETE /now/cmdb/instance/\\{classname\\}/\\{sys\\_id\\}/relation/\\{rel\\_sys\\_id\\}\n\nDeletes the relation for the specified configuration item \\(CI\\).\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cmdb/instance/{className}/{sys_id}/relation/{rel_sys_id}`\n\nDefault URL: `/api/now/cmdb/instance/{className}/{sys_id}/relation/{rel_sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nclassName\n\n</td><td id=\"entry-className-cmdb\">\n\nCMDB class name. This is the name of the table that contains the desired CI records, such as cmdb\\_ci\\_linux\\_server or cmdb\\_ci\\_apache\\_web\\_server.Data type: String\n\n</td></tr><tr><td>\n\nrel\\_sys\\_id\n\n</td><td>\n\nSys\\_id of the relation to remove.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the CI.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. The requested item wasn't found.|\n|405|Invalid method. The functionality is disabled.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n|Name|Description|\n|----|-----------|\n|None||\n\n### Sample cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci_linux_server/0f4ac6c4b750230096c3e4f6ee11a9fe/relation/b0dbda5347c12200e0ef563dbb9a718f\" \\\n--request DELETE \\\n--user 'username':'password'\n\n```\n\n## CMDB Instance - GET /now/cmdb/instance/\\{classname\\}\n\nReturns the available configuration items \\(CI\\) for a specified Configuration Management Database \\(CMDB\\) class \\(table\\).\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cmdb/instance/{className}`\n\nDefault URL: `/api/now/cmdb/instance/{className}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nclassName\n\n</td><td id=\"entry-className-cmdb\">\n\nCMDB class name. This is the name of the table that contains the desired CI records, such as cmdb\\_ci\\_linux\\_server or cmdb\\_ci\\_apache\\_web\\_server.Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_limit\n\n</td><td id=\"sysparm_limit-entry-RESTAPI\">\n\nMaximum number of records to return. For requests that exceed this number of records, use the **sysparm\\_offset** parameter to paginate record retrieval. This limit is applied before ACL evaluation. If no records return, including records you have access to, rearrange the record order so records you have access to return first.\n\n**Note:** Unusually large **sysparm\\_limit** values can impact system performance.\n\nData type: Number\n\nDefault: 10000\n\n</td></tr><tr><td>\n\nsysparm\\_offset\n\n</td><td id=\"sysparm_offset-entry-RESTAPI\">\n\nStarting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, **sysparm\\_offset** is set to \"0\". To simply page through all available records, use `sysparm_offset=sysparm_offset+sysparm_limit`, until you reach the end of all records.\n\nDon't pass a negative number in the **sysparm\\_offset** parameter.Data type: Number\n\nDefault: 0\n\n</td></tr><tr><td>\n\nsysparm\\_query\n\n</td><td id=\"sysparm-query-RESTAPI\">\n\n[Encoded query](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/platform-user-interface/c_EncodedQueryStrings.md) used to filter the result set. You can use a UI filter to obtain a properly encoded query.Syntax: `sysparm_query=<col_name><operator><value>`. Column names, operators, and values are case-sensitive.\n\n-   &lt;col\\_name&gt;: Name of the table column to filter on.\n-   &lt;operator&gt;: Supports the following values:\n    -   `=`: &lt;col\\_name&gt; exactly matches &lt;value&gt;.\n    -   `!=`: &lt;col\\_name&gt; does not match &lt;value&gt;.\n    -   `LIKE`: &lt;col\\_name&gt; contains the specified string &lt;value&gt;. Only works for &lt;col\\_name&gt; fields whose data type is string.\n    -   `STARTSWITH`: &lt;col\\_name&gt; starts with the specified string &lt;value&gt;. Only works for &lt;col\\_name&gt; fields whose data type is string.\n    -   `ENDSWITH`: &lt;col\\_name&gt; ends with the specified string &lt;value&gt;. Only works for &lt;col\\_name&gt; fields whose data type is string.\n    -   `^`: AND operator to add an additional query condition. Records included in the result set match both conditions.\n    -   `^OR`: OR operator to add an additional query condition. Records included in the result set match at least one of the conditions.\n-   &lt;value&gt;: Value to filter on.\n\nFor more information about operators, see [Operators available for filters and queries](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/platform-user-interface/r_OpAvailableFiltersQueries.md).\n\nQueries can contain multiple conditions. For example, the following query returns records where the caller is the current user and the record is active.\n\n`sysparm_query=caller_id=javascript:gs.getUserID()^active=true`\n\nEncoded queries also support order by ascending and descending functionality. To sort responses based on certain fields, use the `ORDERBY` and `ORDERBYDESC` clauses in **sysparm\\_query**.\n\nSyntax:\n\n-   `ORDERBY<col_name>`\n-   `ORDERBYDESC<col_name>`\n\nFor example, the following query gets all active records and orders the results in ascending order by number, and then in descending order by category.\n\n`sysparm_query=active=true^ORDERBYnumber^ORDERBYDESCcategory`\n\nBy default, if part of a query is invalid, such as an invalid field name, the instance ignores the invalid part. It then returns rows using only the valid portion of the query. Set the property **glide.invalid\\_query.returns\\_no\\_rows** to `true` to instead return no rows on an invalid query.\n\n**Note:** The **glide.invalid\\_query.returns\\_no\\_rows** property controls the behavior of all queries across the instance, such as in lists, scripts \\(GlideRecord.query\\(\\)\\), and web service APIs.\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. The requested item wasn't found.|\n|405|Invalid method. The functionality is disabled.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nname\n\n</td><td>\n\nName of a CI within the specified class.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the CI.Data type: String\n\n</td></tr></tbody>\n</table>### Sample cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci_linux_server\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n\n```\n\n```\n\"result\": [\n  {\n    \"sys_id\": \"3a290cc60a0a0bb400000bdb386af1cf\",\n    \"name\": \"PS LinuxApp01\"\n  },\n  {\n    \"sys_id\": \"3a5dd3dbc0a8ce0100655f1ec66ed42c\",\n    \"name\": \"PS LinuxApp02\"\n  }\n]\n```\n\n## CMDB Instance - GET /now/cmdb/instance/\\{classname\\}/\\{sys\\_id\\}\n\nReturns attributes and relationship information for a specified configuration item \\(CI\\) record.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cmdb/instance/{className}/{sys_id}`\n\nDefault URL: `/api/now/cmdb/instance/{className}/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nclassName\n\n</td><td id=\"entry-className-cmdb\">\n\nCMDB class name. This is the name of the table that contains the desired CI records, such as cmdb\\_ci\\_linux\\_server or cmdb\\_ci\\_apache\\_web\\_server.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the CI record to retrieve.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None||\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. The requested item wasn't found.|\n|405|Invalid method. The functionality is disabled.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table id=\"table_d5p_jn4_3mb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nattributes\n\n</td><td>\n\nData attributes currently in the CI record. The available attributes depend on the specified CMDB class. You can locate the available attributes in the associated CMDB table which typically begins with \"cmdb\\_ci\", such as cmdb\\_ci\\_linux\\_server or cmdb\\_ci\\_mfp\\_printer.Data type: Object\n\n</td></tr><tr id=\"row-result-error-cmdb\"><td>\n\nerror\n\n</td><td id=\"entry-result-error-cmdb\">\n\nInformation on any errors encountered while processing the endpoint request. Data type: Object\n\n```\n\"error\": {\n  \"detail\": \"String\",\n  \"message\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-error_detail-cmdb\"><td>\n\nerror.detail\n\n</td><td id=\"entry-result-error_detail-cmdb\">\n\nAdditional information about the error.Data type: String\n\n</td></tr><tr id=\"row-result-error_message-cmdb\"><td>\n\nerror.message\n\n</td><td id=\"entry-result-error_message-cmdb\">\n\nMessage that identifies the error.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations-cmdb\"><td>\n\ninbound\\_relations\n\n</td><td id=\"entry-result-inbound_relations-cmdb\">\n\nList of objects that define the inbound relations associated with the CI.Data type: Array\n\n```\n\"inbound_relations\": [\n  {\n    \"sys_id\": \"String\",\n    \"target\": {Object},\n    \"type\": {Object}\n  }\n]\n```\n\n</td></tr><tr id=\"row-result-inbound_relations_sys_id-cmdb\"><td>\n\ninbound\\_relations.sys\\_id\n\n</td><td id=\"entry-result-inbound_relations_sys_id-cmdb\">\n\nSys\\_id of the inbound CI relationship. Located in the CI Relationship \\[cmdb\\_rel\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_target-cmdb\"><td>\n\ninbound\\_relations.target\n\n</td><td id=\"entry-result-inbound_relations_target-cmdb\">\n\nInformation that describes the target inbound relation.Data type: Object\n\n```\n\"target\": {\n  \"display_value\": \"String\",\n  \"link\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-inbound_relations_target_display_value-cmdb\"><td>\n\ninbound\\_relations.target.display\\_value\n\n</td><td id=\"entry-result-inbound_relations_target_display_value-cmdb\">\n\nName of the inbound relation to display in a user interface.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_target_link-cmdb\"><td>\n\ninbound\\_relations.target.link\n\n</td><td id=\"entry-result-inbound_relations_target_link-cmdb\">\n\nCMDB REST endpoint URL to use to retrieve the inbound relation from the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_target_value-cmdb\"><td>\n\ninbound\\_relations.target.value\n\n</td><td id=\"entry-result-inbound_relations_target_value-cmdb\">\n\nSys\\_id of the inbound CI. Located in the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_type-cmdb\"><td>\n\ninbound\\_relations.type\n\n</td><td id=\"entry-result-inbound_relations_type-cmdb\">\n\nInformation about the type of inbound relationship. Data type: Object\n\n```\n\"type\": {\n  \"display_value\": \"String\",\n  \"link\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-inbound_relations_type_display_value-cmdb\"><td>\n\ninbound\\_relations.type.display\\_value\n\n</td><td id=\"entry-result-inbound_relations_type_display_value-cmdb\">\n\nName of the inbound type to display in a user interface.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_type_link-cmdb\"><td>\n\ninbound\\_relations.type.link\n\n</td><td id=\"entry-result-inbound_relations_type_link-cmdb\">\n\nTable REST endpoint URL to use to retrieve the inbound relation type from the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_type_value-cmdb\"><td>\n\ninbound\\_relations.type.value\n\n</td><td id=\"entry-result-inbound_relations_type_value-cmdb\">\n\nSys\\_id of the type of inbound relationship. Located in the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations-cmdb\"><td>\n\noutbound\\_relations\n\n</td><td id=\"entry-result-outbound_relations-cmdb\">\n\nList of objects that define the outbound relations associated with the CI.Data type: Array\n\n```\n\"outbound_relations\": [\n  {\n    \"sys_id\": \"String\",\n    \"target\": {Object},\n    \"type\": {Object}\n  }\n]\n```\n\n</td></tr><tr id=\"row-result-outbound_relations_sys_id-cmdb\"><td>\n\noutbound\\_relations.sys\\_id\n\n</td><td id=\"entry-result-outbound_relations_sys_id-cmdb\">\n\nSys\\_id of the outbount CI relationship. Located in the CI Relationship \\[cmdb\\_rel\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_target-cmdb\"><td>\n\noutbound\\_relations.target\n\n</td><td id=\"entry-result-outbound_relations_target-cmdb\">\n\nRequired. Information about the target outbound relation.Data type: Object\n\n```\n\"target\": {\n  \"display_value\": \"String\",\n  \"link\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-outbound_relations_target_display_value-cmdb\"><td>\n\noutbound\\_relations.target.display\\_value\n\n</td><td id=\"entry-result-outbound_relations_target_display_value-cmdb\">\n\nName of the outbound relation to display in a user interface.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_target_link-cmdb\"><td>\n\noutbound\\_relations.target.link\n\n</td><td id=\"entry-result-outbound_relations_target_link-cmdb\">\n\nCMDB REST endpoint URL to use to retrieve the outbound relation from the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_target_value-cmdb\"><td>\n\noutbound\\_relations.target.value\n\n</td><td id=\"entry-result-outbound_relations_target_value-cmdb\">\n\nSys\\_id of the outbound CI. Located in the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_type-cmdb\"><td>\n\noutbound\\_relations.type\n\n</td><td id=\"entry-result-outbound_relations_type-cmdb\">\n\nInformation about the type of outbound relationship. Data type: Object\n\n```\n\"type\": {\n  \"display_value\": \"String\",\n  \"link\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-outbound_relations_type_display_value-cmdb\"><td>\n\noutbound\\_relations.type.display\\_value\n\n</td><td id=\"entry-result-outbound_relations_type_display_value-cmdb\">\n\nName of the outbound type to display in a user interface.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_type_link-cmdb\"><td>\n\noutbound\\_relations.type.link\n\n</td><td id=\"entry-result-outbound_relations_type_link-cmdb\">\n\nTable REST endpoint URL to use to retrieve the outbound relation from the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_type_value-cmdb\"><td>\n\noutbound\\_relations.type.value\n\n</td><td id=\"entry-result-outbound_relations_type_value-cmdb\">\n\nSys\\_id of the type of outbound relationship. Located in the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr id=\"row-status-cmdb\"><td>\n\nstatus\n\n</td><td id=\"entry-result-status-cmdb\">\n\nOnly appears if an error is encountered. Status of the endpoint processing.Possible value: failure\n\nData type: String\n\n</td></tr></tbody>\n</table>### Sample cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci_linux_server/70bc4e11c0a8210d01f074cbe6bd73b4\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n\n```\n\n```\n{\n  \"result\": {\n    \"outbound_relations\": [\n      {\n        \"sys_id\": \"3a62e64ac0a8ce0100aead1e3fd5439f\",\n        \"type\": {\n          \"display_value\": \"Depends on::Used by\",\n          \"link\": \"https://instance.servicenow.com/api/now/table/cmdb_rel_type/1a9cb166f1571100a92eb60da2bce5c5\",\n          \"value\": \"1a9cb166f1571100a92eb60da2bce5c5\"\n        },\n        \"target\": {\n          \"display_value\": \"PS ORA01\",\n          \"link\": \"https://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci/3a307c930a0a0bb400353965d0b8861f\",\n          \"value\": \"3a307c930a0a0bb400353965d0b8861f\"\n        }\n      },\n      {\n        \"sys_id\": \"3a67513fc0a8ce0100914a76cea11b02\",\n        \"type\": {\n          \"display_value\": \"Exchanges data with::Exchanges data with\",\n          \"link\": \"https://instance.servicenow.com/api/now/table/cmdb_rel_type/607ad1b2c0a8010e01941856b365af90\",\n          \"value\": \"607ad1b2c0a8010e01941856b365af90\"\n        },\n        \"target\": {\n          \"display_value\": \"PS ORA01\",\n          \"link\": \"https://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci/3a307c930a0a0bb400353965d0b8861f\",\n          \"value\": \"3a307c930a0a0bb400353965d0b8861f\"\n        }\n      }\n    ],\n    \"attributes\": {\n      \"firewall_status\": \"Intranet\",\n      \"os_address_width\": \"\",\n      \"attested_date\": \"\",\n      \"operational_status\": \"1\",\n      \"os_service_pack\": \"\",\n      \"cpu_core_thread\": \"\",\n      \"cpu_manufacturer\": \"\",\n      \"sys_updated_on\": \"2020-07-08 11:16:51\",\n      \"discovery_source\": \"\",\n      \"first_discovered\": \"\",\n      \"due_in\": \"\",\n      \"used_for\": \"Production\",\n      \"invoice_number\": \"\",\n      \"gl_account\": \"\",\n      \"sys_created_by\": \"glide.maint\",\n      \"warranty_expiration\": \"\",\n      \"ram\": \"2048\",\n      \"cpu_name\": \"\",\n      \"cpu_speed\": \"2800\",\n      \"owned_by\": \"\",\n      \"checked_out\": \"\",\n      \"kernel_release\": \"\",\n      \"sys_domain_path\": \"/\",\n      \"classification\": \"Production\",\n      \"disk_space\": \"40\",\n      \"object_id\": \"\",\n      \"maintenance_schedule\": \"\",\n      \"cost_center\": \"\",\n      \"attested_by\": \"\",\n      \"dns_domain\": \"\",\n      \"assigned\": \"2020-01-04 07:00:00\",\n      \"purchase_date\": \"\",\n      \"life_cycle_stage\": \"\",\n      \"short_description\": \"\",\n      \"cd_speed\": \"\",\n      \"floppy\": \"\",\n      \"managed_by\": {\n        \"display_value\": \"Lynda Caraway\",\n        \"link\": \"https://instance.service-now.com/api/now/table/sys_user/8a826bf03710200044e0bfc8bcbe5d72\",\n        \"value\": \"8a826bf03710200044e0bfc8bcbe5d72\"\n      },\n      \"os_domain\": \"\",\n      \"last_discovered\": \"\",\n      \"can_print\": \"false\",\n      \"sys_class_name\": \"cmdb_ci_linux_server\",\n      \"manufacturer\": {\n        \"display_value\": \"Iris\",\n        \"link\": \"https://instance.servicenow.com/api/now/table/core_company/c115c2f737e3100044e0bfc8bcbe5d46\",\n        \"value\": \"c115c2f737e3100044e0bfc8bcbe5d46\"\n      },\n      \"cpu_count\": \"1\",\n      \"vendor\": {\n        \"display_value\": \"Cloudward Inc\",\n        \"link\": \"https://instance.servicenow.com/api/now/table/core_company/3efe8c4c37423000158bbfc8bcbe5d7d\",\n        \"value\": \"3efe8c4c37423000158bbfc8bcbe5d7d\"\n      },\n      \"life_cycle_stage_status\": \"\",\n      \"model_number\": \"\",\n      \"assigned_to\": \"\",\n      \"start_date\": \"\",\n      \"os_version\": \"2.6.9-22.0.1.ELsmp\",\n      \"serial_number\": \"\",\n      \"cd_rom\": \"false\",\n      \"support_group\": \"\",\n      \"unverified\": \"false\",\n      \"correlation_id\": \"\",\n      \"attributes\": \"\",\n      \"asset\": {\n        \"display_value\": \"P1000091 - Iris 5875\",\n        \"link\": \"https://instance.servicenow.com/api/now/table/alm_asset/0bc1ba8837f3100044e0bfc8bcbe5dbb\",\n        \"value\": \"0bc1ba8837f3100044e0bfc8bcbe5dbb\"\n      },\n      \"form_factor\": \"\",\n      \"cpu_core_count\": \"\",\n      \"skip_sync\": \"false\",\n      \"attestation_score\": \"\",\n      \"sys_updated_by\": \"system\",\n      \"sys_created_on\": \"2008-10-26 17:17:28\",\n      \"sys_domain\": {\n        \"display_value\": \"global\",\n        \"link\": \"https://instance.servicenow.com/api/now/table/sys_user_group/global\",\n        \"value\": \"global\"\n      },\n      \"cpu_type\": \"Intel\",\n      \"install_date\": \"2019-08-18 08:00:00\",\n      \"asset_tag\": \"P1000091\",\n      \"dr_backup\": \"\",\n      \"hardware_substatus\": \"\",\n      \"fqdn\": \"\",\n      \"change_control\": \"\",\n      \"internet_facing\": \"false\",\n      \"delivery_date\": \"\",\n      \"hardware_status\": \"\",\n      \"install_status\": \"1\",\n      \"supported_by\": \"\",\n      \"name\": \"PS LinuxApp01\",\n      \"subcategory\": \"\",\n      \"default_gateway\": \"\",\n      \"chassis_type\": \"\",\n      \"virtual\": \"false\",\n      \"assignment_group\": \"\",\n      \"managed_by_group\": \"\",\n      \"sys_id\": \"3a290cc60a0a0bb400000bdb386af1cf\",\n      \"po_number\": \"\",\n      \"checked_in\": \"\",\n      \"sys_class_path\": \"/!!/!2/!(/!!/!0\",\n      \"mac_address\": \"\",\n      \"company\": {\n        \"display_value\": \"ACME Corporation\",\n        \"link\": \"https://instance.servicenow.com/api/now/table/core_company/e7c1f3d53790200044e0bfc8bcbe5deb\",\n        \"value\": \"e7c1f3d53790200044e0bfc8bcbe5deb\"\n      },\n      \"justification\": \"\",\n      \"department\": \"\",\n      \"cost\": \"45557.5\",\n      \"comments\": \"\",\n      \"os\": \"Linux Red Hat\",\n      \"sys_mod_count\": \"24\",\n      \"monitor\": \"false\",\n      \"model_id\": {\n        \"display_value\": \"Iris 5875\",\n        \"link\": \"https://instance.servicenow.com/api/now/table/cmdb_model/5f5fbcc3c0a8010e00f3b27814f3b96b\",\n        \"value\": \"5f5fbcc3c0a8010e00f3b27814f3b96b\"\n      },\n      \"ip_address\": \"\",\n      \"duplicate_of\": \"\",\n      \"sys_tags\": \"\",\n      \"cost_cc\": \"USD\",\n      \"order_date\": \"\",\n      \"schedule\": \"\",\n      \"environment\": \"\",\n      \"due\": \"\",\n      \"attested\": \"false\",\n      \"location\": {\n        \"display_value\": \"322 West 52nd Street, New York,NY\",\n        \"link\": \"https://instance.servicenow.com/api/now/table/cmn_location/25ab9f690a0a0bb3001c5fec1d0d7bcb\",\n        \"value\": \"25ab9f690a0a0bb3001c5fec1d0d7bcb\"\n      },\n      \"category\": \"Do not migrate to asset\",\n      \"fault_count\": \"0\",\n      \"host_name\": \"\",\n      \"lease_id\": \"\"\n    },\n    \"inbound_relations\": [\n      {\n        \"sys_id\": \"3a5e4d8ac0a8ce010005145afb730818\",\n        \"type\": {\n          \"display_value\": \"Depends on::Used by\",\n          \"link\": \"https://instance.servicenow.com/api/now/table/cmdb_rel_type/1a9cb166f1571100a92eb60da2bce5c5\",\n          \"value\": \"1a9cb166f1571100a92eb60da2bce5c5\"\n        },\n        \"target\": {\n          \"display_value\": \"PS Apache01\",\n          \"link\": \"https://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci/3a27d4370a0a0bb4006316812bf45439\",\n          \"value\": \"3a27d4370a0a0bb4006316812bf45439\"\n        }\n      },\n      {\n        \"sys_id\": \"3a5e4d9cc0a8ce010097f2f5c2f65fd8\",\n        \"type\": {\n          \"display_value\": \"Depends on::Used by\",\n          \"link\": \"https://instance.servicenow.com/api/now/table/cmdb_rel_type/1a9cb166f1571100a92eb60da2bce5c5\",\n          \"value\": \"1a9cb166f1571100a92eb60da2bce5c5\"\n        },\n        \"target\": {\n          \"display_value\": \"PS Apache02\",\n          \"link\": \"https://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci/3a27f1520a0a0bb400ecd6ff7afcf036\",\n          \"value\": \"3a27f1520a0a0bb400ecd6ff7afcf036\"\n        }\n      },\n      {\n        \"sys_id\": \"3a5e4d9fc0a8ce0100a3754fac26fe56\",\n        \"type\": {\n          \"display_value\": \"Depends on::Used by\",\n          \"link\": \"https://instance.servicenow.com/api/now/table/cmdb_rel_type/1a9cb166f1571100a92eb60da2bce5c5\",\n          \"value\": \"1a9cb166f1571100a92eb60da2bce5c5\"\n        },\n        \"target\": {\n          \"display_value\": \"PS Apache03\",\n          \"link\": \"https://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci/3a2810c20a0a0bb400268337d6e942ca\",\n          \"value\": \"3a2810c20a0a0bb400268337d6e942ca\"\n        }\n      }\n    ]\n  }\n}\n```\n\n## CMDB Instance - POST /now/cmdb/instance/\\{classname\\}\n\nCreates a single configuration item \\(CI\\) with the specified outbound and inbound relations within the specified Configuration Management Database \\(CMDB\\) table.\n\n**Note:** If the CMDB class has a dependent identification rule defined, then the input payload must contain the sys\\_id of an existing CI. For example, for **outbound\\_relations**, the **target** parameter must contain the sys\\_id of an existing CI, which then becomes the child. For **inbound\\_relations**, it becomes the parent.\n\n```\n\n  \"depends_on\": {\n    \"outbound_relations\":\n      {\n        \"target\": \"b4fd7c8437201000deeabfc8bcbe5dc1\",\n        \"type\": \"60bc4e22c0a8010e01f074cbe6bd73c3\"\n      }\n    }\n```\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cmdb/instance/{className}`\n\nDefault URL: `/api/now/cmdb/instance/{className}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nclassName\n\n</td><td id=\"entry-className-cmdb\">\n\nCMDB class name. This is the name of the table that contains the desired CI records, such as cmdb\\_ci\\_linux\\_server or cmdb\\_ci\\_apache\\_web\\_server.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None||\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nattributes\n\n</td><td id=\"entry-attributes-cmdb\">\n\nData attributes to define in the CI record. The available attributes depend on the specified CMDB class. You can locate the available attributes in the associated CMDB table which typically begins with \"cmdb\\_ci\", such as cmdb\\_ci\\_linux\\_server or cmdb\\_ci\\_mfp\\_printer.Data type: Object\n\n</td></tr><tr><td>\n\ninbound\\_relations\n\n</td><td id=\"entry-inbound_relations-cmdb\">\n\nList of objects that define the inbound relations to associate with the CI.Data type: Array\n\n```\n\"inbound_relations\": [\n  {\n    \"target\": \"String\",\n    \"type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\ninbound\\_relations.target\n\n</td><td id=\"entry-inbound_relations_target-cmdb\">\n\nRequired if **inbound\\_relations** is specified. Sys\\_id of the target inbound relation to associate with the specified CI. Located in the Configuration Item \\[cmdb\\_ci\\] table. Data type: String\n\n</td></tr><tr><td>\n\ninbound\\_relations.type\n\n</td><td id=\"entry-inbound_relations_type-cmdb\">\n\nRequired if **inbound\\_relations** is specified. Sys\\_id of the type of inbound relationship. Located in the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr><td>\n\noutbound\\_relations\n\n</td><td>\n\nList of objects that define the outbound relations to associate with the CI.Data type: Array\n\n ```\n\"outbound_relations\": [\n  {\n    \"target\": \"String\",\n    \"type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\noutbound\\_relations.target\n\n</td><td id=\"entry-request-outbound_relations_target-cmdb\">\n\nRequired if **outbound\\_relations** is specified. Sys\\_id of the target outbound relation. Located in the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr><tr><td>\n\noutbound\\_relations.type\n\n</td><td id=\"entry-request-outbound_relations_type-cmdb\">\n\nRequired if **outbound\\_relations** is specified. Sys\\_id of the type of outbound relationship. Located in the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr><td>\n\nsource\n\n</td><td id=\"entry-source-cmdb\">\n\nRequired. Entity that updated the information. This must be one of the choice values specified in the discovery\\_source field in the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td id=\"content_type-entry-RESTAPI\">\n\nData format of the request body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. The requested item wasn't found.|\n|405|Invalid method. The functionality is disabled.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table id=\"table_ags_gn4_3mb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nattributes\n\n</td><td>\n\nData attributes currently in the CI record. The available attributes depend on the specified CMDB class. You can locate the available attributes in the associated CMDB table which typically begins with \"cmdb\\_ci\", such as cmdb\\_ci\\_linux\\_server or cmdb\\_ci\\_mfp\\_printer.Data type: Object\n\n</td></tr><tr id=\"row-result-error-cmdb\"><td>\n\nerror\n\n</td><td id=\"entry-result-error-cmdb\">\n\nInformation on any errors encountered while processing the endpoint request. Data type: Object\n\n```\n\"error\": {\n  \"detail\": \"String\",\n  \"message\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-error_detail-cmdb\"><td>\n\nerror.detail\n\n</td><td id=\"entry-result-error_detail-cmdb\">\n\nAdditional information about the error.Data type: String\n\n</td></tr><tr id=\"row-result-error_message-cmdb\"><td>\n\nerror.message\n\n</td><td id=\"entry-result-error_message-cmdb\">\n\nMessage that identifies the error.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations-cmdb\"><td>\n\ninbound\\_relations\n\n</td><td id=\"entry-result-inbound_relations-cmdb\">\n\nList of objects that define the inbound relations associated with the CI.Data type: Array\n\n```\n\"inbound_relations\": [\n  {\n    \"sys_id\": \"String\",\n    \"target\": {Object},\n    \"type\": {Object}\n  }\n]\n```\n\n</td></tr><tr id=\"row-result-inbound_relations_sys_id-cmdb\"><td>\n\ninbound\\_relations.sys\\_id\n\n</td><td id=\"entry-result-inbound_relations_sys_id-cmdb\">\n\nSys\\_id of the inbound CI relationship. Located in the CI Relationship \\[cmdb\\_rel\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_target-cmdb\"><td>\n\ninbound\\_relations.target\n\n</td><td id=\"entry-result-inbound_relations_target-cmdb\">\n\nInformation that describes the target inbound relation.Data type: Object\n\n```\n\"target\": {\n  \"display_value\": \"String\",\n  \"link\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-inbound_relations_target_display_value-cmdb\"><td>\n\ninbound\\_relations.target.display\\_value\n\n</td><td id=\"entry-result-inbound_relations_target_display_value-cmdb\">\n\nName of the inbound relation to display in a user interface.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_target_link-cmdb\"><td>\n\ninbound\\_relations.target.link\n\n</td><td id=\"entry-result-inbound_relations_target_link-cmdb\">\n\nCMDB REST endpoint URL to use to retrieve the inbound relation from the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_target_value-cmdb\"><td>\n\ninbound\\_relations.target.value\n\n</td><td id=\"entry-result-inbound_relations_target_value-cmdb\">\n\nSys\\_id of the inbound CI. Located in the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_type-cmdb\"><td>\n\ninbound\\_relations.type\n\n</td><td id=\"entry-result-inbound_relations_type-cmdb\">\n\nInformation about the type of inbound relationship. Data type: Object\n\n```\n\"type\": {\n  \"display_value\": \"String\",\n  \"link\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-inbound_relations_type_display_value-cmdb\"><td>\n\ninbound\\_relations.type.display\\_value\n\n</td><td id=\"entry-result-inbound_relations_type_display_value-cmdb\">\n\nName of the inbound type to display in a user interface.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_type_link-cmdb\"><td>\n\ninbound\\_relations.type.link\n\n</td><td id=\"entry-result-inbound_relations_type_link-cmdb\">\n\nTable REST endpoint URL to use to retrieve the inbound relation type from the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_type_value-cmdb\"><td>\n\ninbound\\_relations.type.value\n\n</td><td id=\"entry-result-inbound_relations_type_value-cmdb\">\n\nSys\\_id of the type of inbound relationship. Located in the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations-cmdb\"><td>\n\noutbound\\_relations\n\n</td><td id=\"entry-result-outbound_relations-cmdb\">\n\nList of objects that define the outbound relations associated with the CI.Data type: Array\n\n```\n\"outbound_relations\": [\n  {\n    \"sys_id\": \"String\",\n    \"target\": {Object},\n    \"type\": {Object}\n  }\n]\n```\n\n</td></tr><tr id=\"row-result-outbound_relations_sys_id-cmdb\"><td>\n\noutbound\\_relations.sys\\_id\n\n</td><td id=\"entry-result-outbound_relations_sys_id-cmdb\">\n\nSys\\_id of the outbount CI relationship. Located in the CI Relationship \\[cmdb\\_rel\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_target-cmdb\"><td>\n\noutbound\\_relations.target\n\n</td><td id=\"entry-result-outbound_relations_target-cmdb\">\n\nRequired. Information about the target outbound relation.Data type: Object\n\n```\n\"target\": {\n  \"display_value\": \"String\",\n  \"link\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-outbound_relations_target_display_value-cmdb\"><td>\n\noutbound\\_relations.target.display\\_value\n\n</td><td id=\"entry-result-outbound_relations_target_display_value-cmdb\">\n\nName of the outbound relation to display in a user interface.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_target_link-cmdb\"><td>\n\noutbound\\_relations.target.link\n\n</td><td id=\"entry-result-outbound_relations_target_link-cmdb\">\n\nCMDB REST endpoint URL to use to retrieve the outbound relation from the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_target_value-cmdb\"><td>\n\noutbound\\_relations.target.value\n\n</td><td id=\"entry-result-outbound_relations_target_value-cmdb\">\n\nSys\\_id of the outbound CI. Located in the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_type-cmdb\"><td>\n\noutbound\\_relations.type\n\n</td><td id=\"entry-result-outbound_relations_type-cmdb\">\n\nInformation about the type of outbound relationship. Data type: Object\n\n```\n\"type\": {\n  \"display_value\": \"String\",\n  \"link\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-outbound_relations_type_display_value-cmdb\"><td>\n\noutbound\\_relations.type.display\\_value\n\n</td><td id=\"entry-result-outbound_relations_type_display_value-cmdb\">\n\nName of the outbound type to display in a user interface.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_type_link-cmdb\"><td>\n\noutbound\\_relations.type.link\n\n</td><td id=\"entry-result-outbound_relations_type_link-cmdb\">\n\nTable REST endpoint URL to use to retrieve the outbound relation from the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_type_value-cmdb\"><td>\n\noutbound\\_relations.type.value\n\n</td><td id=\"entry-result-outbound_relations_type_value-cmdb\">\n\nSys\\_id of the type of outbound relationship. Located in the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr id=\"row-status-cmdb\"><td>\n\nstatus\n\n</td><td id=\"entry-result-status-cmdb\">\n\nOnly appears if an error is encountered. Status of the endpoint processing.Possible value: failure\n\nData type: String\n\n</td></tr></tbody>\n</table>### cURL Request\n\nThe following code example shows how to call this endpoint.\n\n```\ncurl \"https://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci_linux_server\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\"\\\n--user \"username\":\"password\" \\\n--data {\n  \"outbound_relations\": [\n    {\n      \"type\" : \"1a9cb166f1571100a92eb60da2bce5c5\",\n      \"target\" : \"3a307c930a0a0bb400353965d0b8861f\"\n    },\n    {\n      \"type\" : \"607ad1b2c0a8010e01941856b365af90\",\n      \"target\" : \"3a307c930a0a0bb400353965d0b8861f\"\n    }\n  ],\n  \"attributes\": {\n    \"name\" : \"lnux999\",\n    \"firewall_status\": \"Intranet\"\n  },\n  \"source\": \"ServiceNow\",\n  \"inbound_relations\": [\n    {\n      \"type\" : \"1a9cb166f1571100a92eb60da2bce5c5\",\n      \"target\" : \"3a27d4370a0a0bb4006316812bf45439\"\n    }\n  ]\n}\n```\n\n```\n{\n    \"result\": {\n        \"outbound_relations\": [\n            {\n                \"sys_id\": \"403ff2641b425010593876a61a4bcb4b\",\n                \"type\": {\n                    \"display_value\": \"Depends on::Used by\",\n                    \"link\": \"https://instance.servicenow.com/api/now/table/cmdb_rel_type/1a9cb166f1571100a92eb60da2bce5c5\",\n                    \"value\": \"1a9cb166f1571100a92eb60da2bce5c5\"\n                },\n                \"target\": {\n                    \"display_value\": \"PS ORA01\",\n                    \"link\": \"https://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci/3a307c930a0a0bb400353965d0b8861f\",\n                    \"value\": \"3a307c930a0a0bb400353965d0b8861f\"\n                }\n            },\n            {\n                \"sys_id\": \"443ff2641b425010593876a61a4bcb4c\",\n                \"type\": {\n                    \"display_value\": \"Exchanges data with::Exchanges data with\",\n                    \"link\": \"https://instance.servicenow.com/api/now/table/cmdb_rel_type/607ad1b2c0a8010e01941856b365af90\",\n                    \"value\": \"607ad1b2c0a8010e01941856b365af90\"\n                },\n                \"target\": {\n                    \"display_value\": \"PS ORA01\",\n                    \"link\": \"https://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci/3a307c930a0a0bb400353965d0b8861f\",\n                    \"value\": \"3a307c930a0a0bb400353965d0b8861f\"\n                }\n            }\n        ],\n        \"attributes\": {\n            \"firewall_status\": \"Intranet\",\n            \"os_address_width\": \"\",\n            \"attested_date\": \"\",\n            \"operational_status\": \"1\",\n            \"os_service_pack\": \"\",\n            \"cpu_core_thread\": \"\",\n            \"cpu_manufacturer\": \"\",\n            \"sys_updated_on\": \"2020-07-13 20:27:28\",\n            \"discovery_source\": \"ServiceNow\",\n            \"first_discovered\": \"2020-07-13 20:27:28\",\n            \"due_in\": \"\",\n            \"used_for\": \"Production\",\n            \"invoice_number\": \"\",\n            \"gl_account\": \"\",\n            \"sys_created_by\": \"dora.gray\",\n            \"warranty_expiration\": \"\",\n            \"ram\": \"\",\n            \"cpu_name\": \"\",\n            \"cpu_speed\": \"\",\n            \"owned_by\": \"\",\n            \"checked_out\": \"\",\n            \"kernel_release\": \"\",\n            \"sys_domain_path\": \"/\",\n            \"classification\": \"Production\",\n            \"disk_space\": \"\",\n            \"object_id\": \"\",\n            \"maintenance_schedule\": \"\",\n            \"cost_center\": \"\",\n            \"attested_by\": \"\",\n            \"dns_domain\": \"\",\n            \"assigned\": \"\",\n            \"purchase_date\": \"\",\n            \"life_cycle_stage\": \"\",\n            \"short_description\": \"\",\n            \"cd_speed\": \"\",\n            \"floppy\": \"\",\n            \"managed_by\": \"\",\n            \"os_domain\": \"\",\n            \"last_discovered\": \"2020-07-13 20:27:28\",\n            \"can_print\": \"false\",\n            \"sys_class_name\": \"cmdb_ci_linux_server\",\n            \"manufacturer\": \"\",\n            \"cpu_count\": \"\",\n            \"vendor\": \"\",\n            \"life_cycle_stage_status\": \"\",\n            \"model_number\": \"\",\n            \"assigned_to\": \"\",\n            \"start_date\": \"\",\n            \"os_version\": \"\",\n            \"serial_number\": \"\",\n            \"cd_rom\": \"false\",\n            \"support_group\": \"\",\n            \"unverified\": \"false\",\n            \"correlation_id\": \"\",\n            \"attributes\": \"\",\n            \"asset\": \"\",\n            \"form_factor\": \"\",\n            \"cpu_core_count\": \"\",\n            \"skip_sync\": \"false\",\n            \"attestation_score\": \"\",\n            \"sys_updated_by\": \"dora.gray\",\n            \"sys_created_on\": \"2020-07-13 20:27:28\",\n            \"sys_domain\": {\n                \"display_value\": \"global\",\n                \"link\": \"https://instance.servicenow.com/api/now/table/sys_user_group/global\",\n                \"value\": \"global\"\n            },\n            \"cpu_type\": \"\",\n            \"install_date\": \"\",\n            \"asset_tag\": \"\",\n            \"dr_backup\": \"\",\n            \"hardware_substatus\": \"\",\n            \"fqdn\": \"\",\n            \"change_control\": \"\",\n            \"internet_facing\": \"true\",\n            \"delivery_date\": \"\",\n            \"hardware_status\": \"installed\",\n            \"install_status\": \"1\",\n            \"supported_by\": \"\",\n            \"name\": \"lnux299\",\n            \"subcategory\": \"Computer\",\n            \"default_gateway\": \"\",\n            \"chassis_type\": \"\",\n            \"virtual\": \"false\",\n            \"assignment_group\": \"\",\n            \"managed_by_group\": \"\",\n            \"sys_id\": \"0c3ff2641b425010593876a61a4bcb39\",\n            \"po_number\": \"\",\n            \"checked_in\": \"\",\n            \"sys_class_path\": \"/!!/!2/!(/!!/!0\",\n            \"mac_address\": \"\",\n            \"company\": \"\",\n            \"justification\": \"\",\n            \"department\": \"\",\n            \"cost\": \"\",\n            \"comments\": \"\",\n            \"os\": \"\",\n            \"sys_mod_count\": \"0\",\n            \"monitor\": \"false\",\n            \"model_id\": \"\",\n            \"ip_address\": \"\",\n            \"duplicate_of\": \"\",\n            \"sys_tags\": \"\",\n            \"cost_cc\": \"USD\",\n            \"order_date\": \"\",\n            \"schedule\": \"\",\n            \"environment\": \"\",\n            \"due\": \"\",\n            \"attested\": \"false\",\n            \"location\": \"\",\n            \"category\": \"Hardware\",\n            \"fault_count\": \"0\",\n            \"host_name\": \"\",\n            \"lease_id\": \"\"\n        },\n        \"inbound_relations\": [\n            {\n                \"sys_id\": \"c03ff2641b425010593876a61a4bcb49\",\n                \"type\": {\n                    \"display_value\": \"Depends on::Used by\",\n                    \"link\": \"https://instance.servicenow.com/api/now/table/cmdb_rel_type/1a9cb166f1571100a92eb60da2bce5c5\",\n                    \"value\": \"1a9cb166f1571100a92eb60da2bce5c5\"\n                },\n                \"target\": {\n                    \"display_value\": \"PS Apache01\",\n                    \"link\": \"https://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci/3a27d4370a0a0bb4006316812bf45439\",\n                    \"value\": \"3a27d4370a0a0bb4006316812bf45439\"\n                }\n            }\n        ]\n    }\n}\n```\n\n### cURL Request\n\nThe following code example shows how to call this endpoint for a class that has a dependant identification rule defined. The **outbound\\_relations.target** must be included in the payload and contain the sys\\_id of an existing CI.\n\n```\ncurl \"https://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci_linux_server\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\"\\\n--user \"username\":\"password\" \\\n--data {\n  \"attributes\": {\n    \"name\": \"test\",\n    \"sys_class_name\":\"cmdb_ci_db_mssql_instance\",\n    \"instance_name\":\"Iname\"\n  },\n  \"source\": \"ServiceNow\",\n  \"depends_on\": {\n    \"outbound_relations\":\n      {\n        \"target\": \"b4fd7c8437201000deeabfc8bcbe5dc1\",\n        \"type\": \"60bc4e22c0a8010e01f074cbe6bd73c3\"\n      }\n    }\n  }\n}\n```\n\n```\n{\n  \"result\": {\n    \"outbound_relations\": [\n      {\n        \"sys_id\": \"505cfa3a53662110af64ddeeff7b1217\",\n        \"type\": {\n          \"display_value\": \"Runs on::Runs\",\n          \"link\": http://instance.servicenow.com/api/now/table/cmdb_rel_type/60bc4e22c0a8010e01f074cbe6bd73c3,\n          \"value\": \"60bc4e22c0a8010e01f074cbe6bd73c3\"\n        },\n        \"target\": {\n          \"display_value\": \"*ANNIE-IBM\",\n          \"link\": http://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci/b4fd7c8437201000deeabfc8bcbe5dc1,\n          \"value\": \"b4fd7c8437201000deeabfc8bcbe5dc1\"\n        }\n      }\n    ],\n    \"attributes\": {\n      \"attested_date\": \"\",\n      \"operational_status\": \"1\",\n      \"running_process_command\": \"\",\n      \"sys_updated_on\": \"2023-05-05 21:28:24\",\n      \"type\": \"\",\n      \"running_process_key_parameters\": \"\",\n      \"rp_command_hash\": \"\",\n      \"discovery_source\": \"ServiceNow\",\n      \"first_discovered\": \"2023-05-05 21:28:24\",\n      \"due_in\": \"\",\n      \"service_pack\": \"\",\n      \"used_for\": \"Production\",\n      \"is_clustered\": \"false\",\n      \"invoice_number\": \"\",\n      \"gl_account\": \"\",\n      \"sys_created_by\": \"admin\",\n      \"warranty_expiration\": \"\",\n      \"owned_by\": \"\",\n      \"checked_out\": \"\",\n      \"rp_key_parameters_hash\": \"\",\n      \"sys_domain_path\": \"/\",\n      \"business_unit\": \"\",\n      \"version\": \"\",\n      \"cpu_sockets\": \"\",\n      \"maintenance_schedule\": \"\",\n      \"cost_center\": \"\",\n      \"attested_by\": \"\",\n      \"dns_domain\": \"\",\n      \"assigned\": \"\",\n      \"purchase_date\": \"\",\n      \"life_cycle_stage\": \"\",\n      \"short_description\": \"\",\n      \"managed_by\": \"\",\n      \"port_dynamic\": \"false\",\n      \"last_discovered\": \"2023-05-05 21:28:24\",\n      \"can_print\": \"false\",\n      \"sys_class_name\": \"cmdb_ci_db_mssql_instance\",\n      \"manufacturer\": \"\",\n      \"cl_port\": \"\",\n      \"vendor\": \"\",\n      \"life_cycle_stage_status\": \"\",\n      \"model_number\": \"\",\n      \"config_file\": \"\",\n      \"assigned_to\": \"\",\n      \"start_date\": \"\",\n      \"instance_name\": \"Iname\",\n      \"serial_number\": \"\",\n      \"engine_edition\": \"\",\n      \"support_group\": \"\",\n      \"version_name\": \"\",\n      \"unverified\": \"false\",\n      \"correlation_id\": \"\",\n      \"attributes\": \"\",\n      \"asset\": \"\",\n      \"config_directory\": \"\",\n      \"tcp_port\": \"\",\n      \"listener_name\": \"\",\n      \"skip_sync\": \"false\",\n      \"pid\": \"\",\n      \"attestation_score\": \"\",\n      \"sys_updated_by\": \"admin\",\n      \"install_directory\": \"\",\n      \"sys_created_on\": \"2023-05-05 21:28:24\",\n      \"sys_domain\": {\n        \"display_value\": \"global\",\n        \"link\": http://instance.servicenow.com/api/now/table/sys_user_group/global,\n        \"value\": \"global\"\n      },\n      \"install_date\": \"\",\n      \"asset_tag\": \"\",\n      \"fqdn\": \"\",\n      \"change_control\": \"\",\n      \"delivery_date\": \"\",\n      \"install_status\": \"1\",\n      \"supported_by\": \"\",\n      \"name\": \"test\",\n      \"subcategory\": \"Database\",\n      \"assignment_group\": \"\",\n      \"edition\": \"\",\n      \"managed_by_group\": \"\",\n      \"sys_id\": \"185cba3a53662110af64ddeeff7b12af\",\n      \"po_number\": \"\",\n      \"database\": \"\",\n      \"checked_in\": \"\",\n      \"sys_class_path\": \"/!!/!(/!2/!,\",\n      \"mac_address\": \"\",\n      \"company\": \"\",\n      \"justification\": \"\",\n      \"department\": \"\",\n      \"cost\": \"\",\n      \"comments\": \"\",\n      \"attestation_status\": \"Not Yet Reviewed\",\n      \"sys_mod_count\": \"0\",\n      \"monitor\": \"false\",\n      \"model_id\": \"\",\n      \"ip_address\": \"\",\n      \"duplicate_of\": \"\",\n      \"sys_tags\": \"\",\n      \"cost_cc\": \"USD\",\n      \"order_date\": \"\",\n      \"schedule\": \"\",\n      \"environment\": \"\",\n      \"due\": \"\",\n      \"attested\": \"false\",\n      \"location\": \"\",\n      \"category\": \"Resource\",\n      \"fault_count\": \"0\",\n      \"lease_id\": \"\"\n    },\n    \"inbound_relations\": []\n  }\n}\n```\n\n### cURL Request\n\nThe following code example shows what is returned when a sys\\_id is not passed for a class that has a dependant identification rule defined. Same result occurs if the sys\\_id is invalid.\n\n```\ncurl \"https://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci_linux_server\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\"\\\n--user \"username\":\"password\" \\\n--data \"{\n  \"attributes\": {\n    \"name\": \"test\",\n    \"sys_class_name\":\"cmdb_ci_db_mssql_instance\",\n    \"instance_name\":\"Iname\"\n  },\n  \"source\": \"ServiceNow\",\n  \"depends_on\": {\n    \"outbound_relations\": {\n        \"type\": \"60bc4e22c0a8010e01f074cbe6bd73c3\"\n    }\n  }\n}\n```\n\n```\n{\n  \"error\": {\n    \"detail\": \"Exception while executing request: null Check logs for error trace or enable glide.rest.debug property to verify REST request processing\",\n    \"message\": \"Exception while executing request: null\"\n  },\n  \"status\": \"failure\"\n}\n```\n\n## CMDB Instance - PUT /now/cmdb/instance/\\{classname\\}/\\{sys\\_id\\}\n\nUpdates the specified configuration item \\(CI\\) record with the specified attribute name-value pairs. This endpoint does not create, update, or delete the associated relations.\n\n**Note:** This endpoint does not conform to the HTML specifications. Standard PUT endpoints are destructive in that they remove any elements that are not included in the request. This endpoint does not remove non-specified elements.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cmdb/instance/{className}/{sys_id}`\n\nDefault URL: `/api/now/cmdb/instance/{className}/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nclassName\n\n</td><td id=\"entry-className-cmdb\">\n\nCMDB class name. This is the name of the table that contains the desired CI records, such as cmdb\\_ci\\_linux\\_server or cmdb\\_ci\\_apache\\_web\\_server.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td id=\"entry-sys_id-cmdb\">\n\nSys\\_id of the CI record to update.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None||\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nattributes\n\n</td><td id=\"entry-attributes-cmdb\">\n\nData attributes to replace in the CI record. The available attributes depend on the specified CMDB class. You can locate the available attributes in the associated CMDB table which typically begins with \"cmdb\\_ci\", such as cmdb\\_ci\\_linux\\_server or cmdb\\_ci\\_mfp\\_printer.For information about attestation, see [CIs attestation](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/servicenow-platform/attesting-cis.md).\n\nData type: Object\n\n</td></tr><tr><td>\n\nsource\n\n</td><td id=\"entry-source-cmdb\">\n\nRequired. Entity that updated the information. This must be one of the choice values specified in the discovery\\_source field in the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td id=\"content_type-entry-RESTAPI\">\n\nData format of the request body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. The requested item wasn't found.|\n|405|Invalid method. The functionality is disabled.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table id=\"table_ens_hq4_3mb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nattributes\n\n</td><td>\n\nData attributes currently in the CI record. The available attributes depend on the specified CMDB class. You can locate the available attributes in the associated CMDB table which typically begins with \"cmdb\\_ci\", such as cmdb\\_ci\\_linux\\_server or cmdb\\_ci\\_mfp\\_printer.Data type: Object\n\n</td></tr><tr id=\"row-result-error-cmdb\"><td>\n\nerror\n\n</td><td id=\"entry-result-error-cmdb\">\n\nInformation on any errors encountered while processing the endpoint request. Data type: Object\n\n```\n\"error\": {\n  \"detail\": \"String\",\n  \"message\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-error_detail-cmdb\"><td>\n\nerror.detail\n\n</td><td id=\"entry-result-error_detail-cmdb\">\n\nAdditional information about the error.Data type: String\n\n</td></tr><tr id=\"row-result-error_message-cmdb\"><td>\n\nerror.message\n\n</td><td id=\"entry-result-error_message-cmdb\">\n\nMessage that identifies the error.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations-cmdb\"><td>\n\ninbound\\_relations\n\n</td><td id=\"entry-result-inbound_relations-cmdb\">\n\nList of objects that define the inbound relations associated with the CI.Data type: Array\n\n```\n\"inbound_relations\": [\n  {\n    \"sys_id\": \"String\",\n    \"target\": {Object},\n    \"type\": {Object}\n  }\n]\n```\n\n</td></tr><tr id=\"row-result-inbound_relations_sys_id-cmdb\"><td>\n\ninbound\\_relations.sys\\_id\n\n</td><td id=\"entry-result-inbound_relations_sys_id-cmdb\">\n\nSys\\_id of the inbound CI relationship. Located in the CI Relationship \\[cmdb\\_rel\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_target-cmdb\"><td>\n\ninbound\\_relations.target\n\n</td><td id=\"entry-result-inbound_relations_target-cmdb\">\n\nInformation that describes the target inbound relation.Data type: Object\n\n```\n\"target\": {\n  \"display_value\": \"String\",\n  \"link\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-inbound_relations_target_display_value-cmdb\"><td>\n\ninbound\\_relations.target.display\\_value\n\n</td><td id=\"entry-result-inbound_relations_target_display_value-cmdb\">\n\nName of the inbound relation to display in a user interface.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_target_link-cmdb\"><td>\n\ninbound\\_relations.target.link\n\n</td><td id=\"entry-result-inbound_relations_target_link-cmdb\">\n\nCMDB REST endpoint URL to use to retrieve the inbound relation from the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_target_value-cmdb\"><td>\n\ninbound\\_relations.target.value\n\n</td><td id=\"entry-result-inbound_relations_target_value-cmdb\">\n\nSys\\_id of the inbound CI. Located in the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_type-cmdb\"><td>\n\ninbound\\_relations.type\n\n</td><td id=\"entry-result-inbound_relations_type-cmdb\">\n\nInformation about the type of inbound relationship. Data type: Object\n\n```\n\"type\": {\n  \"display_value\": \"String\",\n  \"link\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-inbound_relations_type_display_value-cmdb\"><td>\n\ninbound\\_relations.type.display\\_value\n\n</td><td id=\"entry-result-inbound_relations_type_display_value-cmdb\">\n\nName of the inbound type to display in a user interface.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_type_link-cmdb\"><td>\n\ninbound\\_relations.type.link\n\n</td><td id=\"entry-result-inbound_relations_type_link-cmdb\">\n\nTable REST endpoint URL to use to retrieve the inbound relation type from the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_type_value-cmdb\"><td>\n\ninbound\\_relations.type.value\n\n</td><td id=\"entry-result-inbound_relations_type_value-cmdb\">\n\nSys\\_id of the type of inbound relationship. Located in the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations-cmdb\"><td>\n\noutbound\\_relations\n\n</td><td id=\"entry-result-outbound_relations-cmdb\">\n\nList of objects that define the outbound relations associated with the CI.Data type: Array\n\n```\n\"outbound_relations\": [\n  {\n    \"sys_id\": \"String\",\n    \"target\": {Object},\n    \"type\": {Object}\n  }\n]\n```\n\n</td></tr><tr id=\"row-result-outbound_relations_sys_id-cmdb\"><td>\n\noutbound\\_relations.sys\\_id\n\n</td><td id=\"entry-result-outbound_relations_sys_id-cmdb\">\n\nSys\\_id of the outbount CI relationship. Located in the CI Relationship \\[cmdb\\_rel\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_target-cmdb\"><td>\n\noutbound\\_relations.target\n\n</td><td id=\"entry-result-outbound_relations_target-cmdb\">\n\nRequired. Information about the target outbound relation.Data type: Object\n\n```\n\"target\": {\n  \"display_value\": \"String\",\n  \"link\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-outbound_relations_target_display_value-cmdb\"><td>\n\noutbound\\_relations.target.display\\_value\n\n</td><td id=\"entry-result-outbound_relations_target_display_value-cmdb\">\n\nName of the outbound relation to display in a user interface.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_target_link-cmdb\"><td>\n\noutbound\\_relations.target.link\n\n</td><td id=\"entry-result-outbound_relations_target_link-cmdb\">\n\nCMDB REST endpoint URL to use to retrieve the outbound relation from the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_target_value-cmdb\"><td>\n\noutbound\\_relations.target.value\n\n</td><td id=\"entry-result-outbound_relations_target_value-cmdb\">\n\nSys\\_id of the outbound CI. Located in the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_type-cmdb\"><td>\n\noutbound\\_relations.type\n\n</td><td id=\"entry-result-outbound_relations_type-cmdb\">\n\nInformation about the type of outbound relationship. Data type: Object\n\n```\n\"type\": {\n  \"display_value\": \"String\",\n  \"link\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-outbound_relations_type_display_value-cmdb\"><td>\n\noutbound\\_relations.type.display\\_value\n\n</td><td id=\"entry-result-outbound_relations_type_display_value-cmdb\">\n\nName of the outbound type to display in a user interface.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_type_link-cmdb\"><td>\n\noutbound\\_relations.type.link\n\n</td><td id=\"entry-result-outbound_relations_type_link-cmdb\">\n\nTable REST endpoint URL to use to retrieve the outbound relation from the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_type_value-cmdb\"><td>\n\noutbound\\_relations.type.value\n\n</td><td id=\"entry-result-outbound_relations_type_value-cmdb\">\n\nSys\\_id of the type of outbound relationship. Located in the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr id=\"row-status-cmdb\"><td>\n\nstatus\n\n</td><td id=\"entry-result-status-cmdb\">\n\nOnly appears if an error is encountered. Status of the endpoint processing.Possible value: failure\n\nData type: String\n\n</td></tr></tbody>\n</table>### Sample cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci_linux_server/70bc4e11c0a8210d01f074cbe6bd73b4\" \\\n--request PUT \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\"\\\n--user \"username\":\"password\" \\\n--data {\n  \"attributes\": {\n    \"firewall_status\": \"Extranet\",\n    \"discovery_source\": \"ServiceNows\",\n    \"name\": \"Linux299\",\n    \"used_for\": \"Pre-production\",\n    \"container\": \"Box\"\n  },\n  \"source\": \"ServiceNow\"\n}\n\n```\n\n```\n{\n    \"result\": {\n        \"outbound_relations\": [\n            {\n                \"sys_id\": \"403ff2641b425010593876a61a4bcb4b\",\n                \"type\": {\n                    \"display_value\": \"Depends on::Used by\",\n                    \"link\": \"https://instance.service-now.com/api/now/table/cmdb_rel_type/1a9cb166f1571100a92eb60da2bce5c5\",\n                    \"value\": \"1a9cb166f1571100a92eb60da2bce5c5\"\n                },\n                \"target\": {\n                    \"display_value\": \"PS ORA01\",\n                    \"link\": \"https://instance.service-now.com/api/now/cmdb/instance/cmdb_ci/3a307c930a0a0bb400353965d0b8861f\",\n                    \"value\": \"3a307c930a0a0bb400353965d0b8861f\"\n                }\n            },\n            {\n                \"sys_id\": \"443ff2641b425010593876a61a4bcb4c\",\n                \"type\": {\n                    \"display_value\": \"Exchanges data with::Exchanges data with\",\n                    \"link\": \"https://instance.service-now.com/api/now/table/cmdb_rel_type/607ad1b2c0a8010e01941856b365af90\",\n                    \"value\": \"607ad1b2c0a8010e01941856b365af90\"\n                },\n                \"target\": {\n                    \"display_value\": \"PS ORA01\",\n                    \"link\": \"https://instance.service-now.com/api/now/cmdb/instance/cmdb_ci/3a307c930a0a0bb400353965d0b8861f\",\n                    \"value\": \"3a307c930a0a0bb400353965d0b8861f\"\n                }\n            }\n        ],\n        \"attributes\": {\n            \"firewall_status\": \"Extranet\",\n            \"os_address_width\": \"\",\n            \"attested_date\": \"\",\n            \"operational_status\": \"1\",\n            \"os_service_pack\": \"\",\n            \"cpu_core_thread\": \"\",\n            \"cpu_manufacturer\": \"\",\n            \"sys_updated_on\": \"2020-07-13 20:59:40\",\n            \"discovery_source\": \"ServiceNow\",\n            \"first_discovered\": \"2020-07-13 20:27:28\",\n            \"due_in\": \"\",\n            \"used_for\": \"Pre-production\",\n            \"invoice_number\": \"\",\n            \"gl_account\": \"\",\n            \"sys_created_by\": \"dora.gray\",\n            \"warranty_expiration\": \"\",\n            \"ram\": \"\",\n            \"cpu_name\": \"\",\n            \"cpu_speed\": \"\",\n            \"owned_by\": \"\",\n            \"checked_out\": \"\",\n            \"kernel_release\": \"\",\n            \"sys_domain_path\": \"/\",\n            \"classification\": \"Production\",\n            \"disk_space\": \"\",\n            \"object_id\": \"\",\n            \"maintenance_schedule\": \"\",\n            \"cost_center\": \"\",\n            \"attested_by\": \"\",\n            \"dns_domain\": \"\",\n            \"assigned\": \"\",\n            \"purchase_date\": \"\",\n            \"life_cycle_stage\": \"\",\n            \"short_description\": \"\",\n            \"cd_speed\": \"\",\n            \"floppy\": \"\",\n            \"managed_by\": \"\",\n            \"os_domain\": \"\",\n            \"last_discovered\": \"2020-07-13 20:59:40\",\n            \"can_print\": \"false\",\n            \"sys_class_name\": \"cmdb_ci_linux_server\",\n            \"manufacturer\": \"\",\n            \"cpu_count\": \"\",\n            \"vendor\": \"\",\n            \"life_cycle_stage_status\": \"\",\n            \"model_number\": \"\",\n            \"assigned_to\": \"\",\n            \"start_date\": \"\",\n            \"os_version\": \"\",\n            \"serial_number\": \"\",\n            \"cd_rom\": \"false\",\n            \"support_group\": \"\",\n            \"unverified\": \"false\",\n            \"correlation_id\": \"\",\n            \"attributes\": \"\",\n            \"asset\": {\n                \"display_value\": \"Unknown\",\n                \"link\": \"https://instance.service-now.com/api/now/table/alm_asset/21cfba641b425010593876a61a4bcb52\",\n                \"value\": \"21cfba641b425010593876a61a4bcb52\"\n            },\n            \"form_factor\": \"\",\n            \"cpu_core_count\": \"\",\n            \"skip_sync\": \"false\",\n            \"attestation_score\": \"\",\n            \"sys_updated_by\": \"dora.gray\",\n            \"sys_created_on\": \"2020-07-13 20:27:28\",\n            \"sys_domain\": {\n                \"display_value\": \"global\",\n                \"link\": \"https://instance.service-now.com/api/now/table/sys_user_group/global\",\n                \"value\": \"global\"\n            },\n            \"cpu_type\": \"\",\n            \"install_date\": \"\",\n            \"asset_tag\": \"\",\n            \"dr_backup\": \"\",\n            \"hardware_substatus\": \"\",\n            \"fqdn\": \"\",\n            \"change_control\": \"\",\n            \"internet_facing\": \"true\",\n            \"delivery_date\": \"\",\n            \"hardware_status\": \"installed\",\n            \"install_status\": \"1\",\n            \"supported_by\": \"\",\n            \"name\": \"Linux299\",\n            \"subcategory\": \"Computer\",\n            \"default_gateway\": \"\",\n            \"chassis_type\": \"\",\n            \"virtual\": \"false\",\n            \"assignment_group\": \"\",\n            \"managed_by_group\": \"\",\n            \"sys_id\": \"0c3ff2641b425010593876a61a4bcb39\",\n            \"po_number\": \"\",\n            \"checked_in\": \"\",\n            \"sys_class_path\": \"/!!/!2/!(/!!/!0\",\n            \"mac_address\": \"\",\n            \"company\": \"\",\n            \"justification\": \"\",\n            \"department\": \"\",\n            \"cost\": \"\",\n            \"comments\": \"\",\n            \"os\": \"\",\n            \"sys_mod_count\": \"3\",\n            \"monitor\": \"false\",\n            \"model_id\": {\n                \"display_value\": \"Unknown\",\n                \"link\": \"https://instance.service-now.com/api/now/table/cmdb_model/0ce0a2681b4e1010593876a61a4bcba6\",\n                \"value\": \"0ce0a2681b4e1010593876a61a4bcba6\"\n            },\n            \"ip_address\": \"\",\n            \"duplicate_of\": \"\",\n            \"sys_tags\": \"\",\n            \"cost_cc\": \"USD\",\n            \"order_date\": \"\",\n            \"schedule\": \"\",\n            \"environment\": \"\",\n            \"due\": \"\",\n            \"attested\": \"false\",\n            \"location\": \"\",\n            \"category\": \"Hardware\",\n            \"fault_count\": \"0\",\n            \"host_name\": \"\",\n            \"lease_id\": \"\"\n        },\n        \"inbound_relations\": [\n            {\n                \"sys_id\": \"c03ff2641b425010593876a61a4bcb49\",\n                \"type\": {\n                    \"display_value\": \"Depends on::Used by\",\n                    \"link\": \"https://instance.service-now.com/api/now/table/cmdb_rel_type/1a9cb166f1571100a92eb60da2bce5c5\",\n                    \"value\": \"1a9cb166f1571100a92eb60da2bce5c5\"\n                },\n                \"target\": {\n                    \"display_value\": \"PS Apache01\",\n                    \"link\": \"https://instance.service-now.com/api/now/cmdb/instance/cmdb_ci/3a27d4370a0a0bb4006316812bf45439\",\n                    \"value\": \"3a27d4370a0a0bb4006316812bf45439\"\n                }\n            }\n        ]\n    }\n}\n```\n\n## CMDB Instance - POST /now/cmdb/instance/\\{classname\\}/\\{sys\\_id\\}/relation\n\nAdds an inbound and/or outbound relation to the specified configuration item \\(CI\\). The specified CI is the parent.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/cmdb/instance/{className}/{sys_id}/relation`\n\nDefault URL: `/api/now/cmdb/instance/{className}/{sys_id}/relation`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nclassName\n\n</td><td id=\"entry-className-cmdb\">\n\nCMDB class name. This is the name of the table that contains the desired CI records, such as cmdb\\_ci\\_linux\\_server or cmdb\\_ci\\_apache\\_web\\_server.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td id=\"entry-sys_id-cmdb\">\n\nSys\\_id of the CI record to update.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None||\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ninbound\\_relations\n\n</td><td id=\"entry-inbound_relations-cmdb\">\n\nList of objects that define the inbound relations to associate with the CI.Data type: Array\n\n```\n\"inbound_relations\": [\n  {\n    \"target\": \"String\",\n    \"type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\ninbound\\_relations.target\n\n</td><td id=\"entry-inbound_relations_target-cmdb\">\n\nRequired if **inbound\\_relations** is specified. Sys\\_id of the target inbound relation to associate with the specified CI. Located in the Configuration Item \\[cmdb\\_ci\\] table. Data type: String\n\n</td></tr><tr><td>\n\ninbound\\_relations.type\n\n</td><td id=\"entry-inbound_relations_type-cmdb\">\n\nRequired if **inbound\\_relations** is specified. Sys\\_id of the type of inbound relationship. Located in the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr><td>\n\noutbound\\_relations\n\n</td><td id=\"entry-outbound_relations-cmdb\">\n\nList of objects that define the outbound relations to associate with the CI.Data type: Array\n\n```\n\"outbound_relations\": [\n  {\n    \"target\": \"String\",\n    \"type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\noutbound\\_relations.target\n\n</td><td id=\"entry-request-outbound_relations_target-cmdb\">\n\nRequired if **outbound\\_relations** is specified. Sys\\_id of the target outbound relation. Located in the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr><tr><td>\n\noutbound\\_relations.type\n\n</td><td id=\"entry-request-outbound_relations_type-cmdb\">\n\nRequired if **outbound\\_relations** is specified. Sys\\_id of the type of outbound relationship. Located in the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr><td>\n\nsource\n\n</td><td id=\"entry-source-cmdb\">\n\nRequired. Entity that updated the information. This must be one of the choice values specified in the discovery\\_source field in the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td id=\"content_type-entry-RESTAPI\">\n\nData format of the request body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. The requested item wasn't found.|\n|405|Invalid method. The functionality is disabled.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table id=\"table_hj2_qn4_3mb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nattributes\n\n</td><td>\n\nData attributes currently in the CI record. The available attributes depend on the specified CMDB class. You can locate the available attributes in the associated CMDB table which typically begins with \"cmdb\\_ci\", such as cmdb\\_ci\\_linux\\_server or cmdb\\_ci\\_mfp\\_printer.Data type: Object\n\n</td></tr><tr id=\"row-result-error-cmdb\"><td>\n\nerror\n\n</td><td id=\"entry-result-error-cmdb\">\n\nInformation on any errors encountered while processing the endpoint request. Data type: Object\n\n```\n\"error\": {\n  \"detail\": \"String\",\n  \"message\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-error_detail-cmdb\"><td>\n\nerror.detail\n\n</td><td id=\"entry-result-error_detail-cmdb\">\n\nAdditional information about the error.Data type: String\n\n</td></tr><tr id=\"row-result-error_message-cmdb\"><td>\n\nerror.message\n\n</td><td id=\"entry-result-error_message-cmdb\">\n\nMessage that identifies the error.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations-cmdb\"><td>\n\ninbound\\_relations\n\n</td><td id=\"entry-result-inbound_relations-cmdb\">\n\nList of objects that define the inbound relations associated with the CI.Data type: Array\n\n```\n\"inbound_relations\": [\n  {\n    \"sys_id\": \"String\",\n    \"target\": {Object},\n    \"type\": {Object}\n  }\n]\n```\n\n</td></tr><tr id=\"row-result-inbound_relations_sys_id-cmdb\"><td>\n\ninbound\\_relations.sys\\_id\n\n</td><td id=\"entry-result-inbound_relations_sys_id-cmdb\">\n\nSys\\_id of the inbound CI relationship. Located in the CI Relationship \\[cmdb\\_rel\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_target-cmdb\"><td>\n\ninbound\\_relations.target\n\n</td><td id=\"entry-result-inbound_relations_target-cmdb\">\n\nInformation that describes the target inbound relation.Data type: Object\n\n```\n\"target\": {\n  \"display_value\": \"String\",\n  \"link\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-inbound_relations_target_display_value-cmdb\"><td>\n\ninbound\\_relations.target.display\\_value\n\n</td><td id=\"entry-result-inbound_relations_target_display_value-cmdb\">\n\nName of the inbound relation to display in a user interface.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_target_link-cmdb\"><td>\n\ninbound\\_relations.target.link\n\n</td><td id=\"entry-result-inbound_relations_target_link-cmdb\">\n\nCMDB REST endpoint URL to use to retrieve the inbound relation from the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_target_value-cmdb\"><td>\n\ninbound\\_relations.target.value\n\n</td><td id=\"entry-result-inbound_relations_target_value-cmdb\">\n\nSys\\_id of the inbound CI. Located in the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_type-cmdb\"><td>\n\ninbound\\_relations.type\n\n</td><td id=\"entry-result-inbound_relations_type-cmdb\">\n\nInformation about the type of inbound relationship. Data type: Object\n\n```\n\"type\": {\n  \"display_value\": \"String\",\n  \"link\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-inbound_relations_type_display_value-cmdb\"><td>\n\ninbound\\_relations.type.display\\_value\n\n</td><td id=\"entry-result-inbound_relations_type_display_value-cmdb\">\n\nName of the inbound type to display in a user interface.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_type_link-cmdb\"><td>\n\ninbound\\_relations.type.link\n\n</td><td id=\"entry-result-inbound_relations_type_link-cmdb\">\n\nTable REST endpoint URL to use to retrieve the inbound relation type from the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-inbound_relations_type_value-cmdb\"><td>\n\ninbound\\_relations.type.value\n\n</td><td id=\"entry-result-inbound_relations_type_value-cmdb\">\n\nSys\\_id of the type of inbound relationship. Located in the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations-cmdb\"><td>\n\noutbound\\_relations\n\n</td><td id=\"entry-result-outbound_relations-cmdb\">\n\nList of objects that define the outbound relations associated with the CI.Data type: Array\n\n```\n\"outbound_relations\": [\n  {\n    \"sys_id\": \"String\",\n    \"target\": {Object},\n    \"type\": {Object}\n  }\n]\n```\n\n</td></tr><tr id=\"row-result-outbound_relations_sys_id-cmdb\"><td>\n\noutbound\\_relations.sys\\_id\n\n</td><td id=\"entry-result-outbound_relations_sys_id-cmdb\">\n\nSys\\_id of the outbount CI relationship. Located in the CI Relationship \\[cmdb\\_rel\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_target-cmdb\"><td>\n\noutbound\\_relations.target\n\n</td><td id=\"entry-result-outbound_relations_target-cmdb\">\n\nRequired. Information about the target outbound relation.Data type: Object\n\n```\n\"target\": {\n  \"display_value\": \"String\",\n  \"link\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-outbound_relations_target_display_value-cmdb\"><td>\n\noutbound\\_relations.target.display\\_value\n\n</td><td id=\"entry-result-outbound_relations_target_display_value-cmdb\">\n\nName of the outbound relation to display in a user interface.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_target_link-cmdb\"><td>\n\noutbound\\_relations.target.link\n\n</td><td id=\"entry-result-outbound_relations_target_link-cmdb\">\n\nCMDB REST endpoint URL to use to retrieve the outbound relation from the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_target_value-cmdb\"><td>\n\noutbound\\_relations.target.value\n\n</td><td id=\"entry-result-outbound_relations_target_value-cmdb\">\n\nSys\\_id of the outbound CI. Located in the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_type-cmdb\"><td>\n\noutbound\\_relations.type\n\n</td><td id=\"entry-result-outbound_relations_type-cmdb\">\n\nInformation about the type of outbound relationship. Data type: Object\n\n```\n\"type\": {\n  \"display_value\": \"String\",\n  \"link\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr id=\"row-result-outbound_relations_type_display_value-cmdb\"><td>\n\noutbound\\_relations.type.display\\_value\n\n</td><td id=\"entry-result-outbound_relations_type_display_value-cmdb\">\n\nName of the outbound type to display in a user interface.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_type_link-cmdb\"><td>\n\noutbound\\_relations.type.link\n\n</td><td id=\"entry-result-outbound_relations_type_link-cmdb\">\n\nTable REST endpoint URL to use to retrieve the outbound relation from the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr id=\"row-result-outbound_relations_type_value-cmdb\"><td>\n\noutbound\\_relations.type.value\n\n</td><td id=\"entry-result-outbound_relations_type_value-cmdb\">\n\nSys\\_id of the type of outbound relationship. Located in the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr><tr id=\"row-status-cmdb\"><td>\n\nstatus\n\n</td><td id=\"entry-result-status-cmdb\">\n\nOnly appears if an error is encountered. Status of the endpoint processing.Possible value: failure\n\nData type: String\n\n</td></tr></tbody>\n</table>### Sample cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci_linux_server/3a290cc60a0a0bb400000bdb386af1cf/relation\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\"\\\n--user \"username\":\"password\" \\\n--data {\n  \"outbound_relations\": [\n    {\n      \"type\" : \"1a9cb166f1571100a92eb60da2bce5c5\",\n      \"target\" : \"3a307c930a0a0bb400353965d0b8861f\"\n    },\n    {\n      \"type\" : \"607ad1b2c0a8010e01941856b365af90\",\n      \"target\" : \"3a307c930a0a0bb400353965d0b8861f\"\n    }\n  ],\n  \"source\": \"ServiceNow\",\n  \"inbound_relations\": [\n    {\n      \"type\" : \"1a9cb166f1571100a92eb60da2bce5c5\",\n      \"target\" : \"3a27d4370a0a0bb4006316812bf45439\"\n    }\n  ]\n}\n```\n\n```\n{\n    \"result\": {\n        \"outbound_relations\": [\n            {\n                \"sys_id\": \"403ff2641b425010593876a61a4bcb4b\",\n                \"type\": {\n                    \"display_value\": \"Depends on::Used by\",\n                    \"link\": \"https://instance.servicenow.com/api/now/table/cmdb_rel_type/1a9cb166f1571100a92eb60da2bce5c5\",\n                    \"value\": \"1a9cb166f1571100a92eb60da2bce5c5\"\n                },\n                \"target\": {\n                    \"display_value\": \"PS ORA01\",\n                    \"link\": \"https://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci/3a307c930a0a0bb400353965d0b8861f\",\n                    \"value\": \"3a307c930a0a0bb400353965d0b8861f\"\n                }\n            },\n            {\n                \"sys_id\": \"443ff2641b425010593876a61a4bcb4c\",\n                \"type\": {\n                    \"display_value\": \"Exchanges data with::Exchanges data with\",\n                    \"link\": \"https://instance.servicenow.com/api/now/table/cmdb_rel_type/607ad1b2c0a8010e01941856b365af90\",\n                    \"value\": \"607ad1b2c0a8010e01941856b365af90\"\n                },\n                \"target\": {\n                    \"display_value\": \"PS ORA01\",\n                    \"link\": \"https://instance.servicenow.com/api/now/cmdb/instance/cmdb_ci/3a307c930a0a0bb400353965d0b8861f\",\n                    \"value\": \"3a307c930a0a0bb400353965d0b8861f\"\n                }\n            }\n        ],\n        \"attributes\": {\n            \"firewall_status\": \"Active\",\n            \"os_address_width\": \"\",\n            \"attested_date\": \"\",\n            \"operational_status\": \"1\",\n            \"os_service_pack\": \"\",\n            \"cpu_core_thread\": \"\",\n            \"cpu_manufacturer\": \"\",\n            \"sys_updated_on\": \"2020-07-13 21:24:05\",\n            \"discovery_source\": \"ServiceNow\",\n            \"first_discovered\": \"2020-07-13 20:27:28\",\n            \"due_in\": \"\",\n            \"used_for\": \"Production\",\n            \"invoice_number\": \"\",\n            \"gl_account\": \"\",\n            \"sys_created_by\": \"dora.gray\",\n            \"warranty_expiration\": \"\",\n            \"ram\": \"\",\n            \"cpu_name\": \"\",\n            \"cpu_speed\": \"\",\n            \"owned_by\": \"\",\n            \"checked_out\": \"\",\n            \"kernel_release\": \"\",\n            \"sys_domain_path\": \"/\",\n            \"classification\": \"Production\",\n            \"disk_space\": \"\",\n            \"object_id\": \"\",\n            \"maintenance_schedule\": \"\",\n            \"cost_center\": \"\",\n            \"attested_by\": \"\",\n            \"dns_domain\": \"\",\n            \"assigned\": \"\",\n            \"purchase_date\": \"\",\n            \"life_cycle_stage\": \"\",\n            \"short_description\": \"\",\n            \"cd_speed\": \"\",\n            \"floppy\": \"\",\n            \"managed_by\": \"\",\n            \"os_domain\": \"\",\n            \"last_discovered\": \"2020-07-13 21:24:05\",\n            \"can_print\": \"false\",\n            \"sys_class_name\": \"cmdb_ci_linux_server\",\n            \"manufacturer\": \"\",\n            \"cpu_count\": \"\",\n            \"vendor\": \"\",\n            \"life_cycle_stage_status\": \"\",\n            \"model_number\": \"\",\n            \"assigned_to\": \"\",\n            \"start_date\": \"\",\n            \"os_version\": \"\",\n            \"serial_number\": \"\",\n            \"cd_rom\": \"false\",\n            \"support_group\": \"\",\n            \"unverified\": \"false\",\n            \"correlation_id\": \"\",\n            \"attributes\": \"\",\n            \"asset\": {\n                \"display_value\": \"Unknown\",\n                \"link\": \"https://instance.servicenow.com/api/now/table/alm_asset/21cfba641b425010593876a61a4bcb52\",\n                \"value\": \"21cfba641b425010593876a61a4bcb52\"\n            },\n            \"form_factor\": \"\",\n            \"cpu_core_count\": \"\",\n            \"skip_sync\": \"false\",\n            \"attestation_score\": \"\",\n            \"sys_updated_by\": \"dora.gray\",\n            \"sys_created_on\": \"2020-07-13 20:27:28\",\n            \"sys_domain\": {\n                \"display_value\": \"global\",\n                \"link\": \"https://instance.servicenow.com/api/now/table/sys_user_group/global\",\n                \"value\": \"global\"\n            },\n            \"cpu_type\": \"\",\n            \"install_date\": \"\",\n            \"asset_tag\": \"\",\n            \"dr_backup\": \"\",\n            \"hardware_substatus\": \"\",\n            \"fqdn\": \"\",\n            \"change_control\": \"\",\n            \"internet_facing\": \"true\",\n            \"delivery_date\": \"\",\n            \"hardware_status\": \"installed\",\n            \"install_status\": \"1\",\n            \"supported_by\": \"\",\n            \"name\": \"Linux299\",\n            \"subcategory\": \"Computer\",\n            \"default_gateway\": \"\",\n            \"chassis_type\": \"\",\n            \"virtual\": \"false\",\n            \"assignment_group\": \"\",\n            \"managed_by_group\": \"\",\n            \"sys_id\": \"0c3ff2641b425010593876a61a4bcb39\",\n            \"po_number\": \"\",\n            \"checked_in\": \"\",\n            \"sys_class_path\": \"/!!/!2/!(/!!/!0\",\n            \"mac_address\": \"\",\n            \"company\": \"\",\n            \"justification\": \"\",\n            \"department\": \"\",\n            \"cost\": \"\",\n            \"comments\": \"\",\n            \"os\": \"\",\n            \"sys_mod_count\": \"4\",\n            \"monitor\": \"false\",\n            \"model_id\": {\n                \"display_value\": \"Unknown\",\n                \"link\": \"https://instance.servicenow.com/api/now/table/cmdb_model/0ce0a2681b4e1010593876a61a4bcba6\",\n                \"value\": \"0ce0a2681b4e1010593876a61a4bcba6\"\n            },\n            \"ip_address\": \"\",\n            \"duplicate_of\": \"\",\n            \"sys_tags\": \"\",\n            \"cost_cc\": \"USD\",\n            \"order_date\": \"\",\n            \"schedule\": \"\",\n            \"environment\": \"\",\n            \"due\": \"\",\n            \"attested\": \"false\",\n            \"location\": \"\",\n            \"category\": \"Hardware\",\n            \"fault
[...]
